package com.alibaba.druid.sql.ast.statement;

import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.ast.SQLObjectImpl;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public class SQLAlterTableDisableConstraint extends SQLObjectImpl implements SQLAlterTableItem {
   private SQLName constraintName;
   private Boolean cascade;
   private Boolean restrict;

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.constraintName);
      }

      visitor.endVisit(this);
   }

   public SQLName getConstraintName() {
      return this.constraintName;
   }

   public void setConstraintName(SQLName constraintName) {
      this.constraintName = constraintName;
   }

   public Boolean getCascade() {
      return this.cascade;
   }

   public void setCascade(Boolean cascade) {
      this.cascade = cascade;
   }

   public Boolean getRestrict() {
      return this.restrict;
   }

   public void setRestrict(Boolean restrict) {
      this.restrict = restrict;
   }
}
